namespace Tests.Parsers;

public class AssignmentRequirement_Tests
{
	[Test]
	public void ParseTest()
	{
		var competitiveEvents = TestEntityHandler.GetEvents();
		var students = TestEntityHandler.GetStudents(competitiveEvents);
		var eventRequirements = TestEntityHandler.GetEventRequirements(competitiveEvents, students);

		foreach (var ea in eventRequirements)
        {
            Console.WriteLine($"{ea.Requirement,10} {ea.EventDefinition.ShortName, -20} {ea.Student.FirstName}");
		}

		Assert.Pass();
	}
}